package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("分页获取入库记录列表")
public class AndroidIntoInventoryPageVO implements Serializable {
   @ApiModelProperty("入库记录id")
   private String intoId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("入库时间")
   private LocalDateTime intoDate;
   @ApiModelProperty("总价")
   private Long totalAmount;
   @ApiModelProperty("总数量")
   private Integer totalNum;
   @ApiModelProperty("入库状态(1-待入库,2-已入库)")
   private Integer status;
   @ApiModelProperty("入库类型(1-采购入库,2-退料入库,3-调拨入库,5-即入即出,6-超市退单入库,7-盘点入库)")
   private Integer intoType;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("入库单详情列表")
   private List<AndroidIntoDetailPageVO> detailList;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public LocalDateTime getIntoDate() {
      return this.intoDate;
   }

   public Long getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getTotalNum() {
      return this.totalNum;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public List<AndroidIntoDetailPageVO> getDetailList() {
      return this.detailList;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setIntoDate(final LocalDateTime intoDate) {
      this.intoDate = intoDate;
   }

   public void setTotalAmount(final Long totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setTotalNum(final Integer totalNum) {
      this.totalNum = totalNum;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setDetailList(final List<AndroidIntoDetailPageVO> detailList) {
      this.detailList = detailList;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "AndroidIntoInventoryPageVO(intoId=" + var10000 + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", intoDate=" + String.valueOf(this.getIntoDate()) + ", totalAmount=" + this.getTotalAmount() + ", totalNum=" + this.getTotalNum() + ", status=" + this.getStatus() + ", intoType=" + this.getIntoType() + ", remark=" + this.getRemark() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", detailList=" + String.valueOf(this.getDetailList()) + ")";
   }
}
